=== debian/control ===
Source: ros-rolling-joint-state-broadcaster
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-controller-manager, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-state-broadcaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-hardware-interface, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Broadcaster to publish joint state
