=== debian/control ===
Source: ros-rolling-joint-state-broadcaster
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-backward-ros, ros-rolling-builtin-interfaces, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-controller-manager <!nocheck>, ros-rolling-generate-parameter-library, ros-rolling-hardware-interface <!nocheck>, ros-rolling-pluginlib, ros-rolling-rclcpp <!nocheck>, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-realtime-tools, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-joint-state-broadcaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-backward-ros, ros-rolling-builtin-interfaces, ros-rolling-control-msgs, ros-rolling-controller-interface, ros-rolling-generate-parameter-library, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcutils, ros-rolling-realtime-tools, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: Broadcaster to publish joint state
